## org.eclipse.jst.jsf.facesconfig.emf.impl
Class FacetTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.FacetTypeImpl

All Implemented Interfaces:
  FacetType

    public class FacetTypeImpl

extends EObjectImpl
implements FacetType

An implementation of the model object 'Facet Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Facet Name`
- `Facet Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetFacetName(FacetNameType newFacetName, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getFacetExtension()`
`FacetNameType` `getFacetName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`void` `setFacetName(FacetNameType newFacetName)`
`void` `setId(java.lang.String newId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `FacetType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `FacetType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `FacetType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_Icon()`

### getFacetName

    public FacetNameType getFacetName()

  Specified by:
    `getFacetName` in interface `FacetType`
  Returns:
    the value of the 'Facet Name' containment reference.
  See Also:
    `FacetType.setFacetName(FacetNameType)`, `FacesConfigPackage.getFacetType_FacetName()`

### basicSetFacetName

    public NotificationChain basicSetFacetName(FacetNameType newFacetName,
                                               NotificationChain msgs)

  Parameters:
    `newFacetName` -
    `msgs` -
  Returns:
    NotificationChain

### setFacetName

    public void setFacetName(FacetNameType newFacetName)

  Specified by:
    `setFacetName` in interface `FacetType`
  Parameters:
    `newFacetName` - the new value of the 'Facet Name' containment reference.
  See Also:
    `FacetType.getFacetName()`

### getFacetExtension

    public EList getFacetExtension()

  Specified by:
    `getFacetExtension` in interface `FacetType`
  Returns:
    the value of the 'Facet Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getFacetType_FacetExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `FacetType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `FacetType.setId(String)`, `FacesConfigPackage.getFacetType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `FacetType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `FacetType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()